pimcore_data_hub:
    configurations:
        Import:
            general:
                active: true
                type: dataImporterDataObject
                name: Import
                description: ''
                group: ''
                path: null
                modificationDate: 1756990680
                createDate: 1755584835
            loaderConfig:
                type: upload
                settings:
                    uploadFilePath: Import/upload.import
            interpreterConfig:
                type: xlsx
                settings:
                    skipFirstRow: true
                    sheetName: Worksheet
            resolverConfig:
                elementType: dataObject
                dataObjectClassId: '9'
                loadingStrategy:
                    type: id
                    settings:
                        dataSourceIndex: '0'
                createLocationStrategy:
                    type: doNotCreate
                locationUpdateStrategy:
                    type: noChange
                publishingStrategy:
                    type: noChangeUnpublishNew
            processingConfig:
                executionType: parallel
                idDataIndex: '0'
                cleanup:
                    strategy: unpublish
            mappingConfig:
                -
                    label: 'Mapped Categories [3]'
                    dataSourceIndex:
                        - '7'
                    settings:
                        delimiter: ','
                        loadStrategy: path
                        attributeDataObjectClassId: ''
                        attributeName: ''
                        attributeLanguage: ''
                    transformationResultType: dataObjectArray
                    dataTarget:
                        type: manyToManyRelation
                        settings:
                            fieldName: MappedCategories
                            language: ''
                            writeIfTargetIsNotEmpty: true
                            writeIfSourceIsEmpty: false
                            overwriteMode: replace
                    transformationPipeline:
                        -
                            settings:
                                delimiter: ','
                            type: explode
                        -
                            settings:
                                loadStrategy: path
                                attributeDataObjectClassId: ''
                                attributeName: ''
                                attributeLanguage: ''
                            type: loadDataObject
            executionConfig:
                scheduleType: job
                cronDefinition: ''
                scheduledAt: '22-08-2025 00:00'
            permissions:
                user: {  }
                role: {  }
            workspaces: {  }
